M_PARK_PROCS(3P)

NAME
m_park_procs, m_rele_procs - suspend and resume child process execution

SYNOPSIS

C syntax:

#include <parallel/microtask.h>
m_park_procs();
(serial code)
m_rele_procs();

Pascal syntax

procedure m_park_procs ;
cexternal ;
procedure m_rele_procs ;
cexternal ;

FORTRAN syntax

subroutine m_park_procs
subroutine m_rele_procs

DESCRIPTION
The m_park_procs routine suspends execution of child processes created by an m_fork call. Typically, you would suspend child processes while the parent process is doing extensive I/O or setting up another phase of the program. The m_rele_procs routine resumes child process execution when the child processes are again required.

Do not call m_park_procs when m_fork is executing. Likewise, do not call m_park_procs when the child processes are already suspended. To suspend child process execution within an m_fork call, use m_single and m_next.

RETURN VALUE
Upon successful completion, a value of 0 is returned. Otherwise, a value of -1 is returned and errno is set to indicate the error.

ERRORS
These routines can return the following error:

[EINVAL]
    The routine was called in an inappropriate context. For example, the routine was called from a subprogram executing in an m_fork call, or the processes were already suspended.

SEE ALSO
m_single(3P), Guide to Parallel Programming